Blackboard Help

Table of Contents

Features and Functions No Longer Supported

Last Modified
16:21, 14 Dec 2012

As software development evolves and programming languages change, features and functions are replaced with newer and more efficient options. In order for Blackboard to deliver the most modern and effective user experience, we will over time change parts of our applications. This section of release notes lists features and functions that are no longer supported or targeted for end of life. See Platform Technologies and Client Technologies for more information on deprecated and unsupported applications.

Themes

Three legacy themes are deprecated in Blackboard Learn SP10.

  • Blackboard Classic

  • WebCT Classic 1

  • WebCT Classic 2

This means that all new features built for SP10 are not styled in these three themes. If you wish to continue using them, you need to include some additional steps in planning your upgrade to SP10.

If you continue using one of these themes with your default brand beyond SP9, or if you have licensed Community Engagement and are using one of these themes with any of your institution brands, it will be converted to a custom theme on your system. If you are not using one of these themes on your system, the theme will be intentionally removed during your upgrade to SP10.

32-bit Environments

With the release of Blackboard Learn Service Pack 8, and going forward, Blackboard only supports operating in a 64-bit environment. You must be operating in a 64-bit environment to use any direct upgrade path to SP9 and SP10. If you are currently running Blackboard Learn in a 32-bit environment, you must migrate to a 64-bit environment first. This is especially relevant to Academic Suite 8.0 SP7 running on Windows. More information on migrating to a 64-bit environment is available at http://help.blackboard.com.

SSL Choice

Secure Sockets Layer (SSL) is a protocol for protecting Internet communications. SSL Choice was a feature that allowed administrators to select which areas of Blackboard Learn are secured using SSL and which areas are not using encrypted communications. With the release of Blackboard Learn, Release 9.1 Service Pack 10, SSL Choice is deprecated. This feature has been removed because Blackboard recommends all customers enable SSL system-wide, rather than in select areas, as is consistent with industry best practices. If you are not already running Blackboard Learn over SSL and wish to use it, start SSL planning with this release. Please contact your Client Support representative for more information if you need additional help.

Application Frameset

To facilitate future user experience changes, Blackboard is beginning the process of replacing the current application frameset. Prior to 9.1 SP10, the application’s user interface (UI) elements were presented in a frameset including a top frame for application tabs, institutional branding and other links that persisted across application areas and a bottom frame that contained content pertaining the activity the user was involved in.

In SP10, the top level frameset, top frame, and bottom frame are replaced by a standard HTML page with two iframes representing the same content elements as the frames prior to SP10. This change does not require any changes to building blocks or customizations that use the frames as the transition to iframes is transparent to any Javascript logic that interacts with the frames. If you have customized your application, Blackboard will provide you with test instances to check any customizations you think may be affected prior to your upgrade to SP10.

Beyond SP10, Blackboard will continue to migrate Learn away from using frames completely. As progress is made towards removing frames from Learn, we will provide additional communication to the developer community.

Basic Licenses

In an effort to provide the best user experience, Blackboard is standardizing on the Enterprise version of Blackboard Learn 9.1 with Service Pack 10. Blackboard Learning SystemTM - Basic Edition and Blackboard LearnTM - Basic Edition clients must move to an Enterprise version of Learn to upgrade to SP10. A Basic license can only be upgraded as far as 9.1 SP9.

Contact your Blackboard Learn account representative for advice on the paths to transition from the Basic license to an Enterprise version.

Open Standards Content Player

As of SP10, the Rustici SCORM Engine Player is the default SCORM player in Blackboard Learn. The Rustici SCORM player will support Rustici Tin Can packages in addition to supporting all previous SCORM content.

Any content imported with the Open Standards Content Player will continue to be played with that player, but new content will be imported and executed by the Rustici SCORM Engine Player. To convert content that was imported with the Open Standards Content Player to the Rustici SCORM Engine Player, simply re-import the old package and it will default to the new player. 

Back to Top
Was this article helpful?
Powered by
Powered by MindTouch®